## com.baidubce.services.moladb.model
Class BatchGetItemResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.moladb.model.BatchGetItemResponse

    public class BatchGetItemResponse

extends AbstractBceResponse

Represents the output of a BatchGetItem operation.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`BatchGetItemResponse()` Constructs a new BatchGetItemResponse object.

Method Summary
`Map<String,List<Map<String,AttributeValue>>>` `getResponses()` Get the processed items' content for this BatchGetItem request.
`Map<String,KeysAndAttributes>` `getUnprocessedItems()` Get all of the unprocessed items in this BatchGetItem request.
`void` `setResponses(Map<String,List<Map<String,AttributeValue>>> responses)` Set the processed items' content for this BatchGetItem request.
`void` `setUnprocessedItems(Map<String,KeysAndAttributes> items)` Set all of the unprocessed items in this BatchGetItem request.
`String` `toString()` Return a string representation of the response information.

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BatchGetItemResponse

    public BatchGetItemResponse()

  Constructs a new BatchGetItemResponse object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### getUnprocessedItems

    public Map<String,KeysAndAttributes> getUnprocessedItems()

  Get all of the unprocessed items in this BatchGetItem request.

  Returns:
    All of the unprocessed items in this BatchGetItem request, the type is in Map<String,KeysAndAttributes> type.

### setUnprocessedItems

    public void setUnprocessedItems(Map<String,KeysAndAttributes> items)

  Set all of the unprocessed items in this BatchGetItem request.

  Parameters:
    `items` - All of the unprocessed items in this BatchGetItem request, the type is in Map<String,KeysAndAttributes> type.

### toString

    public String toString()

  Return a string representation of the response information.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of the response information.

### setResponses

    public void setResponses(Map<String,List<Map<String,AttributeValue>>> responses)

  Set the processed items' content for this BatchGetItem request.

  Parameters:
    `responses` - The processed items' content for this BatchGetItem request.

### getResponses

    public Map<String,List<Map<String,AttributeValue>>> getResponses()

  Get the processed items' content for this BatchGetItem request.

  Returns:
    The processed items' content for this BatchGetItem request.

Copyright © 2016. All rights reserved.